#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KF5 Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon with KDE Daemon
Name:           kded
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: kconfig-devel >= %version
BuildRequires: kcoreaddons-devel >= %version
BuildRequires: kwindowsystem-devel >= %version
BuildRequires: kcrash-devel >= %version
BuildRequires: kdbusaddons-devel >= %version
BuildRequires: karchive-devel >= %version
BuildRequires: kdoctools-devel >= %version
BuildRequires: kinit-devel >= %version
BuildRequires: ki18n-devel >= %version
BuildRequires: kservice-devel >= %version

%description
KDE Frameworks 5 Tier 3 addon with KDE Daemon

%files
%_kf5_bindir/kded5
%_kf5_libdir/libkdeinit5_kded5.so
%_datadir/dbus-1/services/org.kde.kded5.service
%_kf5_servicetypes/kdedmodule.desktop
%_kf5_mandir/man?/kded5.8.*
%_kf5_mandir/*/man?/kded5.8.*

#--------------------------------------------------------------------

%define kf5ded_devel %mklibname kf5ded -d

%package -n %kf5ded_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

Requires:       pkgconfig(Qt5DBus) 
Requires:       pkgconfig(Qt5Widgets)

%description -n %kf5ded_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5ded_devel
%_kf5_libdir/cmake/KDED
%_datadir/dbus-1/interfaces/org.kde.kded5.xml

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build



%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088957
- New version 5.32.0

* Mon Dec 26 2016 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1078115
- Rebuild for arm

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074528
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072189
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058348
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050525
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045103
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041325
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021923
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014333
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999630
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986322
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942242
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921276
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913095
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909879
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900592
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899600
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898920
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888160
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881384
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862945
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862621
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853791
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841566
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804004
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 743042
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680992
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660423
- New version 5.1.0

* Sun Jul 20 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 654841
- Rebuild against new kf5 macros

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652306
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Tue Mar 04 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599601
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597326
- imported package kded

